org.eclipse.rdf4j.query.parser.serql

## Class SeRQLQueryTestCase

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.eclipse.rdf4j.query.parser.serql.SeRQLQueryTestCase

- All Implemented Interfaces:
    junit.framework.Test

      public abstract class SeRQLQueryTestCase
      extends junit.framework.TestCase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SeRQLQueryTestCase.Factory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SeRQLQueryTestCase(String name, String dataFile, List<String> graphNames, String queryFile, String resultFile, String entailment)` Creates a new SeRQL Query test.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Repository` | `createRepository(String entailment)`
    `protected NotifyingSail` | `createSail(String entailment)`
    `protected void` | `discardRepository(Repository rep)`
    `protected abstract QueryLanguage` | `getQueryLanguage()`
    `protected Repository` | `newRepository()`
    `protected Repository` | `newRepository(String entailment)`
    `protected abstract NotifyingSail` | `newSail()`
    `protected void` | `runTest()`
    `static junit.framework.Test` | `suite(SeRQLQueryTestCase.Factory factory)`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SeRQLQueryTestCase

          public SeRQLQueryTestCase(String name,
                                    String dataFile,
                                    List<String> graphNames,
                                    String queryFile,
                                    String resultFile,
                                    String entailment)

      Creates a new SeRQL Query test.

  - ### Method Detail

    - #### runTest

          protected void runTest()
                          throws Exception

      Overrides:
        `runTest` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### createRepository

          protected Repository createRepository(String entailment)
                                         throws Exception

      Throws:
        `Exception`

    - #### newRepository

          protected Repository newRepository()
                                      throws Exception

      Throws:
        `Exception`

    - #### newRepository

          protected Repository newRepository(String entailment)
                                      throws Exception

      Throws:
        `Exception`

    - #### createSail

          protected NotifyingSail createSail(String entailment)
                                      throws Exception

      Throws:
        `Exception`

    - #### newSail

          protected abstract NotifyingSail newSail()
                                            throws Exception

      Throws:
        `Exception`

    - #### discardRepository

          protected void discardRepository(Repository rep)

    - #### suite

          public static junit.framework.Test suite(SeRQLQueryTestCase.Factory factory)
                                            throws Exception

      Throws:
        `Exception`

    - #### getQueryLanguage

          protected abstract QueryLanguage getQueryLanguage()

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.